# Start a Pipeline Validation Event

Starts a Pipeline Validation Event and returns the UUID of the Event created

Endpoint: POST /v1/orgs/{org}/projects/{project}/pipelines/{pipeline}/validate
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `pipeline` (string, required)
    Pipeline identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

  - `Load-From-Cache` (boolean)
    Flag to enable loading the remote pipeline from git or git cache

## Query parameters:

  - `branch_name` (string)
    Name of the branch (for Git Experience).

  - `connector_ref` (string)
    Identifier of the Harness Connector used for CRUD operations on the Entity (for Git Experience).

  - `repo_name` (string)
    Name of the repository (for Git Experience).

  - `load_from_fallback_branch` (boolean)
    Flag to load the pipeline from the created non default branch

## Response 200 fields (application/json):

  - `uuid` (string)
    UUID of the Pipeline Validation Event


